#!/bin/sh

#########################################################################
#   This script should be hooked when invoking Cluster Share Mount/Umount
#   Usable environment variable:
#       SHARE_NAME, SHARE_PATH, ACTION={ENABLE|DISABLE}, RESULT
#########################################################################

case $1 in
	--sdk-mod-ver)
		echo "2.0"
	;;
	--name)
		echo "ServiceShareEncAct"
	;;
	--pkg-ver)
		echo "1.0"
	;;
	--vendor)
		echo "Synology Inc."
	;;
	--pre)
		if [ "DISABLE" == "${ACTION}" ]
		then
			synoservice --share-forbid ${SHARE_NAME}
		fi
	;;
	--post)
		if [ "DISABLE" == "${ACTION}" ] && [ "0" != "${RESULT}" ]
		then
			synoservice --share-permit ${SHARE_NAME}
		fi
		if [ "ENABLE" == "${ACTION}" ] && [ "0" == "${RESULT}" ]
		then
			synoservice --share-permit ${SHARE_NAME}
		fi
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
